Loading...
Searching...
No Matches
g2ccompare.c File Reference

Compare the metadata of two open GRIB2 files. More...

`#include "grib2_int.h"`
`#include <math.h>`
`#include <stdarg.h>`

Go to the source code of this file.

## Functions

int | g2c_compare (int g2cid1, int g2cid2)
| Compare the metadata of two open GRIB2 files.

## Variables

G2C_FILE_INFO_T | g2c_file [G2C_MAX_FILES+1]
| Global file information.

## Detailed Description

Compare the metadata of two open GRIB2 files.

Author
  Ed Hartnett

Date
  Dec 28, 2022

Definition in file g2ccompare.c.

## Function Documentation

## g2c_compare()

int g2c_compare | ( | int | g2cid1,
|  | int | g2cid2 )

Compare the metadata of two open GRIB2 files.

Parameters

  g2cid1 | Indentifier for one file.
  g2cid2 | Indentifier for the other file.

Returns
  - G2C_NOERROR No error.
  - G2C_EINVAL Invalid parameters.
  - G2C_EFILE File I/O error.

Author
  Ed Hartnett

Date
  Dec 28, 2022

Definition at line 28 of file g2ccompare.c.

References g2c_message_info::center, g2c_section5_info::data_def, g2c_message_info::day, g2c_message_info::discipline, G2C_EBADID, G2C_ENOSECTION, G2C_ERROR, g2c_file, G2C_MAX_FILES, G2C_NOERROR, g2c_section3_info::grid_def, g2c_message_info::hour, g2c_section3_info::interp_list, g2c_message_info::local_version, LOG, g2c_message_info::master_version, g2c_message_info::minute, g2c_message_info::month, g2c_message_info::next, g2c_section_info::next, g2c_section4_info::num_coord, g2c_section3_info::num_data_points, g2c_section5_info::num_data_points, g2c_message_info::num_fields, g2c_message_info::num_local, g2c_section3_info::num_opt, g2c_section_info::prev, g2c_section4_info::prod_def, g2c_message_info::sec, g2c_section_info::sec_info, g2c_section_info::sec_num, g2c_message_info::second, g2c_message_info::sig_ref_time, g2c_section3_info::source_grid_def, g2c_message_info::status, g2c_message_info::subcenter, g2c_section_info::template, g2c_section_info::template_len, g2c_message_info::type, and g2c_message_info::year.

Referenced by main().

## Variable Documentation

## g2c_file

G2C_FILE_INFO_T g2c_file

extern

Global file information.

Definition at line 30 of file g2cfile.c.

Referenced by find_available_g2cid(), free_metadata(), g2c_add_file(), g2c_close(), g2c_compare(), g2c_degrib2(), g2c_find_msg2(), g2c_get_msg(), g2c_get_prod(), g2c_inq(), g2c_inq_dim(), g2c_inq_msg(), g2c_inq_msg_time(), g2c_inq_prod(), g2c_log_file(), g2c_open_index(), g2c_seekmsg(), g2c_write_index(), and read_metadata().